---
title: Gift Card Adjustment
description: Make changes to gift card balances.
api_version: 2026-01
source_url:
  html: https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment
  md: https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment.md
---

The REST Admin API is a legacy API as of October 1, 2024. Starting April 1, 2025, all new public apps must be built exclusively with the [GraphQL Admin API](https://shopify.dev/docs/api/admin-graphql). For details and migration steps, visit our [migration guide](https://shopify.dev/docs/apps/build/graphql/migrate).

# Gift Card Adjustment

**Requires \`gift\_card\_adjustments\` access scope.:**

A **gift card adjustment** is a way to adjust the balance of a gift card. Balances cannot be adjusted to below $0. Balances are updated as soon as you receive a successful response.

When creating a gift card adjustment, you may also set note, remote\_transaction\_ref, and remote\_transaction\_url.

\#

## Endpoints

* [post](https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment.md#post-gift-cards-gift-card-id-adjustments)

  [/admin/api/latest/gift\_​cards/{gift\_​card\_​id}/adjustments.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment.md#post-gift-cards-gift-card-id-adjustments)

  Create a new Gift Card Adjustment

  [giftCardCredit](https://shopify.dev/docs/api/admin-graphql/latest/mutations/giftCardCredit?example=create-a-new-gift-card-adjustment)

  [giftCardCredit](https://shopify.dev/docs/api/admin-graphql/latest/mutations/giftCardCredit?example=create-a-new-gift-card-adjustment)

* [get](https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment.md#get-gift-cards-gift-card-id-adjustments)

  [/admin/api/latest/gift\_​cards/{gift\_​card\_​id}/adjustments.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment.md#get-gift-cards-gift-card-id-adjustments)

  Receive a list of all Gift Card Adjustments

  [giftCard](https://shopify.dev/docs/api/admin-graphql/latest/queries/giftCard?example=receive-a-list-of-all-gift-card-adjustments)

* [get](https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment.md#get-gift-cards-gift-card-id-adjustments-adjustment-id)

  [/admin/api/latest/gift\_​cards/{gift\_​card\_​id}/adjustments/{adjustment\_​id}.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/gift-card-adjustment.md#get-gift-cards-gift-card-id-adjustments-adjustment-id)

  Receive a single Gift Card Adjustment

  [node](https://shopify.dev/docs/api/admin-graphql/latest/queries/node)

***

## The Gift Card Adjustment resource

### Properties

***

id

->[id](https://shopify.dev/docs/api/admin-graphql/latest/interfaces/GiftCardTransaction#fields-id)

A unique numeric identifier for the adjustment.

***

number

**deprecated**

A numeric sequence number for this adjustment with respect to the gift card.

***

amount

->[amount](https://shopify.dev/docs/api/admin-graphql/latest/interfaces/GiftCardTransaction#fields-amount)

A number (signed) representing the value of the adjustment.

***

note

->[note](https://shopify.dev/docs/api/admin-graphql/latest/interfaces/GiftCardTransaction#fields-note)

The text of an optional note that can be attached to the adjustment. This value is not visible to customers.

***

remote\_transaction\_ref

->[metafields](https://shopify.dev/docs/api/admin-graphql/latest/interfaces/GiftCardTransaction#fields-metafields)

The text of an optional reference note that can be attached to the adjustment. This value is not visible to customers.

***

remote\_transaction\_url

->[metafields](https://shopify.dev/docs/api/admin-graphql/latest/interfaces/GiftCardTransaction#fields-metafields)

An optional reference URL that can be attached to the adjustment. This value is not visible to customers.

***

api\_client\_id

**deprecated**

A unique numeric identifier of the application that issued the adjustment (if it was issued by an application).

***

user\_id

**deprecated**

A unique numeric identifier of the user that issued the adjustment (if it was issued by a user).

***

order\_transaction\_id

**deprecated**

A unique numeric identifier of the order transaction that issued the adjustment (if it was caused by an application of a gift card to an order).

***

created\_at

->[processedAt](https://shopify.dev/docs/api/admin-graphql/latest/interfaces/GiftCardTransaction#fields-processedAt)

The date and time when the adjustment was created. The API returns this value in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).

***

processed\_at

->[processedAt](https://shopify.dev/docs/api/admin-graphql/latest/interfaces/GiftCardTransaction#fields-processedAt)

The date and time when the adjustment was imported, in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601). This value can be set to dates in the past when importing from other systems. If no value is provided, it will be auto-generated.

***

{}

## The Gift Card Adjustment resource

```json
{
  "id": 989034056,
  "number": 1,
  "amount": -20,
  "note": "External debit of gift card",
  "remote_transaction_ref": "external-ref-230923",
  "remote_transaction_url": "http://example.com/external-gift-card-app/external-ref-230923",
  "api_client_id": 431223487,
  "user_id": 241253183,
  "order_transaction_id": 203972033,
  "created_at": "2015-06-31T19:00:00-05:00",
  "processed_at": "2015-06-31T19:00:00-05:00"
}
```

***

## postCreate a new Gift Card Adjustment

[giftCardCredit](https://shopify.dev/docs/api/admin-graphql/latest/mutations/giftCardCredit?example=create-a-new-gift-card-adjustment)

[giftCardCredit](https://shopify.dev/docs/api/admin-graphql/latest/mutations/giftCardCredit?example=create-a-new-gift-card-adjustment)

### Parameters

***

api\_version

**string**

**required**

***

gift\_card\_id

**string**

**required**

***

### Examples

### Create an adjustment that references an external transaction

### Path parameters

gift\_​card\_​id=​1035197676

**string**

**required**

### Credit a gift card to increase the balance

### Path parameters

gift\_​card\_​id=​1035197676

**string**

**required**

### Debit a gift card to decrease the balance

### Path parameters

gift\_​card\_​id=​1035197676

**string**

**required**

### Record a gift card adjustment as if it happened in the past

### Path parameters

gift\_​card\_​id=​1035197676

**string**

**required**

post

## /admin/api/2026-01/gift\_​cards/1035197676/adjustments.​json

```bash
curl -d '{"adjustment":{"amount":10.0,"remote_transaction_ref":"gift_card_app_transaction_193402","remote_transaction_url":"http://example.com/my-gift-card-app/gift_card_adjustments/193402"}}' \
-X POST "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments.json" \
-H "X-Shopify-Access-Token: {access_token}" \
-H "Content-Type: application/json"
```

{}

## Response

JSON

```json
HTTP/1.1 201 Created
{
  "adjustment": {
    "id": 1064273918,
    "gift_card_id": 1035197676,
    "api_client_id": 755357713,
    "user_id": null,
    "order_transaction_id": null,
    "number": 1,
    "amount": "10.00",
    "processed_at": "2026-01-09T22:36:13-05:00",
    "created_at": "2026-01-09T22:36:13-05:00",
    "updated_at": "2026-01-09T22:36:13-05:00",
    "note": null,
    "remote_transaction_ref": "gift_card_app_transaction_193402",
    "remote_transaction_url": "http://example.com/my-gift-card-app/gift_card_adjustments/193402"
  }
}
```

### examples

* #### Create an adjustment that references an external transaction

  #####

  ```curl
  curl -d '{"adjustment":{"amount":10.0,"remote_transaction_ref":"gift_card_app_transaction_193402","remote_transaction_url":"http://example.com/my-gift-card-app/gift_card_adjustments/193402"}}' \
  -X POST "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments.json" \
  -H "X-Shopify-Access-Token: {access_token}" \
  -H "Content-Type: application/json"
  ```

  #### response

  ```json
  HTTP/1.1 201 Created{"adjustment":{"id":1064273918,"gift_card_id":1035197676,"api_client_id":755357713,"user_id":null,"order_transaction_id":null,"number":1,"amount":"10.00","processed_at":"2026-01-09T22:36:13-05:00","created_at":"2026-01-09T22:36:13-05:00","updated_at":"2026-01-09T22:36:13-05:00","note":null,"remote_transaction_ref":"gift_card_app_transaction_193402","remote_transaction_url":"http://example.com/my-gift-card-app/gift_card_adjustments/193402"}}
  ```

* #### Credit a gift card to increase the balance

  #####

  ```curl
  curl -d '{"adjustment":{"amount":10.0,"note":"Customer refilled gift card by $10"}}' \
  -X POST "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments.json" \
  -H "X-Shopify-Access-Token: {access_token}" \
  -H "Content-Type: application/json"
  ```

* #### Debit a gift card to decrease the balance

  #####

  ```curl
  curl -d '{"adjustment":{"amount":-20.0,"note":"Customer spent $20 via external service"}}' \
  -X POST "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments.json" \
  -H "X-Shopify-Access-Token: {access_token}" \
  -H "Content-Type: application/json"
  ```

* #### Record a gift card adjustment as if it happened in the past

  #####

  ```curl
  curl -d '{"adjustment":{"amount":10.0,"processed_at":"2025-07-09T22:36:13-04:00"}}' \
  -X POST "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments.json" \
  -H "X-Shopify-Access-Token: {access_token}" \
  -H "Content-Type: application/json"
  ```

***

## getReceive a list of all Gift Card Adjustments

[giftCard](https://shopify.dev/docs/api/admin-graphql/latest/queries/giftCard?example=receive-a-list-of-all-gift-card-adjustments)

### Parameters

***

api\_version

**string**

**required**

***

gift\_card\_id

**string**

**required**

***

### Examples

### Get a list of all adjustments made to a gift card

### Path parameters

gift\_​card\_​id=​1035197676

**string**

**required**

get

## /admin/api/2026-01/gift\_​cards/1035197676/adjustments.​json

```bash
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments.json" \
-H "X-Shopify-Access-Token: {access_token}"
```

{}

## Response

JSON

```json
HTTP/1.1 200 OK
{
  "adjustments": [
    {
      "id": 1064273908,
      "gift_card_id": 1035197676,
      "api_client_id": null,
      "user_id": null,
      "order_transaction_id": null,
      "number": null,
      "amount": "10.00",
      "processed_at": null,
      "created_at": "2026-01-09T22:32:40-05:00",
      "updated_at": "2026-01-09T22:32:40-05:00",
      "note": "Customer refilled gift card by $10",
      "remote_transaction_ref": null,
      "remote_transaction_url": null
    }
  ]
}
```

### examples

* #### Get a list of all adjustments made to a gift card

  #####

  ```curl
  curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments.json" \
  -H "X-Shopify-Access-Token: {access_token}"
  ```

  #### response

  ```json
  HTTP/1.1 200 OK{"adjustments":[{"id":1064273908,"gift_card_id":1035197676,"api_client_id":null,"user_id":null,"order_transaction_id":null,"number":null,"amount":"10.00","processed_at":null,"created_at":"2026-01-09T22:32:40-05:00","updated_at":"2026-01-09T22:32:40-05:00","note":"Customer refilled gift card by $10","remote_transaction_ref":null,"remote_transaction_url":null}]}
  ```

***

## getReceive a single Gift Card Adjustment

[node](https://shopify.dev/docs/api/admin-graphql/latest/queries/node)

### Parameters

***

adjustment\_id

**string**

**required**

***

api\_version

**string**

**required**

***

gift\_card\_id

**string**

**required**

***

### Examples

### Show the details of a particular adjustment

get

## /admin/api/2026-01/gift\_​cards/1035197676/adjustments/1064273908.​json

```bash
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments/1064273908.json" \
-H "X-Shopify-Access-Token: {access_token}"
```

{}

## Response

JSON

```json
HTTP/1.1 200 OK
{
  "adjustment": {
    "id": 1064273908,
    "gift_card_id": 1035197676,
    "api_client_id": null,
    "user_id": null,
    "order_transaction_id": null,
    "number": null,
    "amount": "10.00",
    "processed_at": null,
    "created_at": "2026-01-09T22:32:40-05:00",
    "updated_at": "2026-01-09T22:32:40-05:00",
    "note": "Customer refilled gift card by $10",
    "remote_transaction_ref": null,
    "remote_transaction_url": null
  }
}
```

### examples

* #### Show the details of a particular adjustment

  #####

  ```curl
  curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/gift_cards/1035197676/adjustments/1064273908.json" \
  -H "X-Shopify-Access-Token: {access_token}"
  ```

  #### response

  ```json
  HTTP/1.1 200 OK{"adjustment":{"id":1064273908,"gift_card_id":1035197676,"api_client_id":null,"user_id":null,"order_transaction_id":null,"number":null,"amount":"10.00","processed_at":null,"created_at":"2026-01-09T22:32:40-05:00","updated_at":"2026-01-09T22:32:40-05:00","note":"Customer refilled gift card by $10","remote_transaction_ref":null,"remote_transaction_url":null}}
  ```